## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class DictionaryTypeImpl

    java.lang.Object
      CollectionTypeImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.DictionaryTypeImpl

All Implemented Interfaces:
  DictionaryType

    public class DictionaryTypeImpl

extends CollectionTypeImpl
implements DictionaryType

An implementation of the model object 'Dictionary Type'.

The following features are implemented:

- `Key Type`

Field Summary
`protected EClassifier` `keyType` The cached value of the '`Key Type`' reference

Constructor Summary
`protected` `DictionaryTypeImpl()`

Method Summary
`EClassifier` `basicGetKeyType()`
`boolean` `checkCollectionTypeName(DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Overwriting of the method checkCollectionTypeName
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EClassifier` `getKeyType()`
`void` `setKeyType(EClassifier newKeyType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyType

    protected EClassifier keyType

  The cached value of the '`Key Type`' reference.

  See Also:
    `getKeyType()`

Constructor Detail

### DictionaryTypeImpl

    protected DictionaryTypeImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

### getKeyType

    public EClassifier getKeyType()

  Specified by:
    `getKeyType` in interface `DictionaryType`
  Returns:
    the value of the 'Key Type' reference.
  See Also:
    `DictionaryType.setKeyType(EClassifier)`, `ImperativeOCLPackage.getDictionaryType_KeyType()`

### basicGetKeyType

    public EClassifier basicGetKeyType()

### setKeyType

    public void setKeyType(EClassifier newKeyType)

  Specified by:
    `setKeyType` in interface `DictionaryType`
  Parameters:
    `newKeyType` - the new value of the 'Key Type' reference.
  See Also:
    `DictionaryType.getKeyType()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### checkCollectionTypeName

    public boolean checkCollectionTypeName(DiagnosticChain diagnostics,
                                           java.util.Map<java.lang.Object,java.lang.Object> context)

  Overwriting of the method checkCollectionTypeName

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.